set_property SRC_FILE_INFO {cfile:/media/ssd/files/Projects/remotesyn/examples/.gen/sources_1/ip/zynqps/zynqps.xdc rfile:zynqps.xdc id:1 order:EARLY scoped_inst:inst} [current_design]
set_property src_info {type:SCOPED_XDC file:1 line:1 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
set_property src_info {type:SCOPED_XDC file:1 line:2 export:INPUT save:INPUT read:READ} [current_design]
##
set_property src_info {type:SCOPED_XDC file:1 line:3 export:INPUT save:INPUT read:READ} [current_design]
##  Xilinx, Inc. 2006            www.xilinx.com
set_property src_info {type:SCOPED_XDC file:1 line:4 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
set_property src_info {type:SCOPED_XDC file:1 line:5 export:INPUT save:INPUT read:READ} [current_design]
##  File name :       ps7_constraints.xdc
set_property src_info {type:SCOPED_XDC file:1 line:6 export:INPUT save:INPUT read:READ} [current_design]
##
set_property src_info {type:SCOPED_XDC file:1 line:7 export:INPUT save:INPUT read:READ} [current_design]
##  Details :     Constraints file
set_property src_info {type:SCOPED_XDC file:1 line:8 export:INPUT save:INPUT read:READ} [current_design]
##                    FPGA family:       zynq
set_property src_info {type:SCOPED_XDC file:1 line:9 export:INPUT save:INPUT read:READ} [current_design]
##                    FPGA:              xc7z010clg400-2
set_property src_info {type:SCOPED_XDC file:1 line:10 export:INPUT save:INPUT read:READ} [current_design]
##                    Device Size:        xc7z010
set_property src_info {type:SCOPED_XDC file:1 line:11 export:INPUT save:INPUT read:READ} [current_design]
##                    Package:            clg400
set_property src_info {type:SCOPED_XDC file:1 line:12 export:INPUT save:INPUT read:READ} [current_design]
##                    Speedgrade:         -2
set_property src_info {type:SCOPED_XDC file:1 line:13 export:INPUT save:INPUT read:READ} [current_design]
##
set_property src_info {type:SCOPED_XDC file:1 line:14 export:INPUT save:INPUT read:READ} [current_design]
##
set_property src_info {type:SCOPED_XDC file:1 line:15 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
set_property src_info {type:SCOPED_XDC file:1 line:16 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
set_property src_info {type:SCOPED_XDC file:1 line:17 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
set_property src_info {type:SCOPED_XDC file:1 line:18 export:INPUT save:INPUT read:READ} [current_design]
# Clock constraints                                                        #
set_property src_info {type:SCOPED_XDC file:1 line:19 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
current_instance inst
set_property src_info {type:SCOPED_XDC file:1 line:20 export:INPUT save:INPUT read:READ} [current_design]
create_clock -period 10.000 -name clk_fpga_0 [get_pins {PS7_i/FCLKCLK[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:21 export:INPUT save:INPUT read:READ} [current_design]
set_input_jitter clk_fpga_0 0.300
set_property src_info {type:SCOPED_XDC file:1 line:22 export:INPUT save:INPUT read:READ} [current_design]
#The clocks are asynchronous, user should constrain them appropriately.#
set_property src_info {type:SCOPED_XDC file:1 line:23 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:SCOPED_XDC file:1 line:24 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:SCOPED_XDC file:1 line:25 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
set_property src_info {type:SCOPED_XDC file:1 line:26 export:INPUT save:INPUT read:READ} [current_design]
# I/O STANDARDS and Location Constraints                                   #
set_property src_info {type:SCOPED_XDC file:1 line:27 export:INPUT save:INPUT read:READ} [current_design]
############################################################################
set_property src_info {type:SCOPED_XDC file:1 line:28 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:SCOPED_XDC file:1 line:29 export:INPUT save:INPUT read:READ} [current_design]
#  UART 1 / rx / MIO[45]
current_instance -quiet
set_property src_info {type:SCOPED_XDC file:1 line:30 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD LVCMOS33 [get_ports {MIO[45]}]
set_property src_info {type:SCOPED_XDC file:1 line:32 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {MIO[45]}]
set_property src_info {type:SCOPED_XDC file:1 line:33 export:INPUT save:INPUT read:READ} [current_design]
set_property DRIVE 8 [get_ports {MIO[45]}]
set_property src_info {type:SCOPED_XDC file:1 line:34 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {MIO[45]}]
set_property src_info {type:SCOPED_XDC file:1 line:35 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION INPUT [get_ports {MIO[45]}]
set_property src_info {type:SCOPED_XDC file:1 line:36 export:INPUT save:INPUT read:READ} [current_design]
#  UART 1 / tx / MIO[44]
set_property src_info {type:SCOPED_XDC file:1 line:37 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD LVCMOS33 [get_ports {MIO[44]}]
set_property src_info {type:SCOPED_XDC file:1 line:39 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {MIO[44]}]
set_property src_info {type:SCOPED_XDC file:1 line:40 export:INPUT save:INPUT read:READ} [current_design]
set_property DRIVE 8 [get_ports {MIO[44]}]
set_property src_info {type:SCOPED_XDC file:1 line:41 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {MIO[44]}]
set_property src_info {type:SCOPED_XDC file:1 line:42 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {MIO[44]}]
set_property src_info {type:SCOPED_XDC file:1 line:43 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports DDR_VRP]
set_property src_info {type:SCOPED_XDC file:1 line:45 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports DDR_VRP]
set_property src_info {type:SCOPED_XDC file:1 line:46 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports DDR_VRP]
set_property src_info {type:SCOPED_XDC file:1 line:47 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports DDR_VRN]
set_property src_info {type:SCOPED_XDC file:1 line:49 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports DDR_VRN]
set_property src_info {type:SCOPED_XDC file:1 line:50 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports DDR_VRN]
set_property src_info {type:SCOPED_XDC file:1 line:51 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports DDR_WEB]
set_property src_info {type:SCOPED_XDC file:1 line:53 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports DDR_WEB]
set_property src_info {type:SCOPED_XDC file:1 line:54 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports DDR_WEB]
set_property src_info {type:SCOPED_XDC file:1 line:55 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports DDR_RAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:57 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports DDR_RAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:58 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports DDR_RAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:59 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports DDR_ODT]
set_property src_info {type:SCOPED_XDC file:1 line:61 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports DDR_ODT]
set_property src_info {type:SCOPED_XDC file:1 line:62 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports DDR_ODT]
set_property src_info {type:SCOPED_XDC file:1 line:63 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports DDR_DRSTB]
set_property src_info {type:SCOPED_XDC file:1 line:65 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports DDR_DRSTB]
set_property src_info {type:SCOPED_XDC file:1 line:66 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports DDR_DRSTB]
set_property src_info {type:SCOPED_XDC file:1 line:67 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:69 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:70 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQS[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:71 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:72 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:74 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:75 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQS[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:76 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:77 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:79 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:80 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:81 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:83 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:84 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:85 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS_n[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:87 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS_n[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:88 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQS_n[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:89 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS_n[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:90 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS_n[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:92 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS_n[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:93 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQS_n[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:94 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS_n[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:95 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS_n[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:97 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS_n[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:98 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS_n[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:99 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15_T_DCI [get_ports {DDR_DQS_n[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:101 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQS_n[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:102 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQS_n[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:103 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:105 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:106 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:107 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:109 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:110 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:111 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:113 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:114 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:115 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:117 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:118 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:119 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:121 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:122 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:123 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:125 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:126 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:127 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:129 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:130 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:131 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[31]}]
set_property src_info {type:SCOPED_XDC file:1 line:133 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[31]}]
set_property src_info {type:SCOPED_XDC file:1 line:134 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[31]}]
set_property src_info {type:SCOPED_XDC file:1 line:135 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[31]}]
set_property src_info {type:SCOPED_XDC file:1 line:136 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[30]}]
set_property src_info {type:SCOPED_XDC file:1 line:138 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[30]}]
set_property src_info {type:SCOPED_XDC file:1 line:139 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[30]}]
set_property src_info {type:SCOPED_XDC file:1 line:140 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[30]}]
set_property src_info {type:SCOPED_XDC file:1 line:141 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:143 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:144 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:145 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[29]}]
set_property src_info {type:SCOPED_XDC file:1 line:147 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[29]}]
set_property src_info {type:SCOPED_XDC file:1 line:148 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[29]}]
set_property src_info {type:SCOPED_XDC file:1 line:149 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[29]}]
set_property src_info {type:SCOPED_XDC file:1 line:150 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[28]}]
set_property src_info {type:SCOPED_XDC file:1 line:152 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[28]}]
set_property src_info {type:SCOPED_XDC file:1 line:153 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[28]}]
set_property src_info {type:SCOPED_XDC file:1 line:154 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[28]}]
set_property src_info {type:SCOPED_XDC file:1 line:155 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[27]}]
set_property src_info {type:SCOPED_XDC file:1 line:157 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[27]}]
set_property src_info {type:SCOPED_XDC file:1 line:158 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[27]}]
set_property src_info {type:SCOPED_XDC file:1 line:159 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[27]}]
set_property src_info {type:SCOPED_XDC file:1 line:160 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[26]}]
set_property src_info {type:SCOPED_XDC file:1 line:162 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[26]}]
set_property src_info {type:SCOPED_XDC file:1 line:163 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[26]}]
set_property src_info {type:SCOPED_XDC file:1 line:164 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[26]}]
set_property src_info {type:SCOPED_XDC file:1 line:165 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[25]}]
set_property src_info {type:SCOPED_XDC file:1 line:167 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[25]}]
set_property src_info {type:SCOPED_XDC file:1 line:168 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[25]}]
set_property src_info {type:SCOPED_XDC file:1 line:169 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[25]}]
set_property src_info {type:SCOPED_XDC file:1 line:170 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[24]}]
set_property src_info {type:SCOPED_XDC file:1 line:172 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[24]}]
set_property src_info {type:SCOPED_XDC file:1 line:173 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[24]}]
set_property src_info {type:SCOPED_XDC file:1 line:174 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[24]}]
set_property src_info {type:SCOPED_XDC file:1 line:175 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[23]}]
set_property src_info {type:SCOPED_XDC file:1 line:177 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[23]}]
set_property src_info {type:SCOPED_XDC file:1 line:178 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[23]}]
set_property src_info {type:SCOPED_XDC file:1 line:179 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[23]}]
set_property src_info {type:SCOPED_XDC file:1 line:180 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[22]}]
set_property src_info {type:SCOPED_XDC file:1 line:182 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[22]}]
set_property src_info {type:SCOPED_XDC file:1 line:183 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[22]}]
set_property src_info {type:SCOPED_XDC file:1 line:184 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[22]}]
set_property src_info {type:SCOPED_XDC file:1 line:185 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[21]}]
set_property src_info {type:SCOPED_XDC file:1 line:187 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[21]}]
set_property src_info {type:SCOPED_XDC file:1 line:188 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[21]}]
set_property src_info {type:SCOPED_XDC file:1 line:189 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[21]}]
set_property src_info {type:SCOPED_XDC file:1 line:190 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[20]}]
set_property src_info {type:SCOPED_XDC file:1 line:192 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[20]}]
set_property src_info {type:SCOPED_XDC file:1 line:193 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[20]}]
set_property src_info {type:SCOPED_XDC file:1 line:194 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[20]}]
set_property src_info {type:SCOPED_XDC file:1 line:195 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:197 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:198 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:199 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[19]}]
set_property src_info {type:SCOPED_XDC file:1 line:201 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[19]}]
set_property src_info {type:SCOPED_XDC file:1 line:202 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[19]}]
set_property src_info {type:SCOPED_XDC file:1 line:203 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[19]}]
set_property src_info {type:SCOPED_XDC file:1 line:204 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[18]}]
set_property src_info {type:SCOPED_XDC file:1 line:206 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[18]}]
set_property src_info {type:SCOPED_XDC file:1 line:207 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[18]}]
set_property src_info {type:SCOPED_XDC file:1 line:208 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[18]}]
set_property src_info {type:SCOPED_XDC file:1 line:209 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[17]}]
set_property src_info {type:SCOPED_XDC file:1 line:211 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[17]}]
set_property src_info {type:SCOPED_XDC file:1 line:212 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[17]}]
set_property src_info {type:SCOPED_XDC file:1 line:213 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[17]}]
set_property src_info {type:SCOPED_XDC file:1 line:214 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[16]}]
set_property src_info {type:SCOPED_XDC file:1 line:216 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[16]}]
set_property src_info {type:SCOPED_XDC file:1 line:217 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DQ[16]}]
set_property src_info {type:SCOPED_XDC file:1 line:218 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[16]}]
set_property src_info {type:SCOPED_XDC file:1 line:219 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[15]}]
set_property src_info {type:SCOPED_XDC file:1 line:221 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[15]}]
set_property src_info {type:SCOPED_XDC file:1 line:222 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[15]}]
set_property src_info {type:SCOPED_XDC file:1 line:223 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:225 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:226 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:227 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:229 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:230 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:231 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:233 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:234 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:235 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:237 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:238 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:239 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:241 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:242 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:243 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DQ[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:245 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DQ[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:246 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DQ[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:247 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DM[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:249 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DM[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:250 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DM[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:251 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DM[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:252 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DM[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:254 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DM[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:255 export:INPUT save:INPUT read:READ} [current_design]
set_property PULLUP true [get_ports {DDR_DM[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:256 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DM[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:257 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DM[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:259 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DM[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:260 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DM[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:261 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15_T_DCI [get_ports {DDR_DM[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:263 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports {DDR_DM[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:264 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION BIDIR [get_ports {DDR_DM[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:265 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports DDR_CS_n]
set_property src_info {type:SCOPED_XDC file:1 line:267 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports DDR_CS_n]
set_property src_info {type:SCOPED_XDC file:1 line:268 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports DDR_CS_n]
set_property src_info {type:SCOPED_XDC file:1 line:269 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports DDR_CKE]
set_property src_info {type:SCOPED_XDC file:1 line:271 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports DDR_CKE]
set_property src_info {type:SCOPED_XDC file:1 line:272 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports DDR_CKE]
set_property src_info {type:SCOPED_XDC file:1 line:273 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15 [get_ports DDR_Clk]
set_property src_info {type:SCOPED_XDC file:1 line:275 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports DDR_Clk]
set_property src_info {type:SCOPED_XDC file:1 line:276 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION INPUT [get_ports DDR_Clk]
set_property src_info {type:SCOPED_XDC file:1 line:277 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD DIFF_SSTL15 [get_ports DDR_Clk_n]
set_property src_info {type:SCOPED_XDC file:1 line:279 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports DDR_Clk_n]
set_property src_info {type:SCOPED_XDC file:1 line:280 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION INPUT [get_ports DDR_Clk_n]
set_property src_info {type:SCOPED_XDC file:1 line:281 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports DDR_CAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:283 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports DDR_CAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:284 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports DDR_CAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:285 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_BankAddr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:287 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_BankAddr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:288 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_BankAddr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:289 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_BankAddr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:291 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_BankAddr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:292 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_BankAddr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:293 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_BankAddr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:295 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_BankAddr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:296 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_BankAddr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:297 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:299 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:300 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:301 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:303 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:304 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:305 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:307 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:308 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:309 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:311 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:312 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:313 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:315 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:316 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:317 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:319 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:320 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:321 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:323 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:324 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:325 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:327 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:328 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:329 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:331 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:332 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:333 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:335 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:336 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:337 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:339 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:340 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:341 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:343 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:344 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:345 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:347 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:348 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:349 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:351 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:352 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:353 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD SSTL15 [get_ports {DDR_Addr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:355 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW SLOW [get_ports {DDR_Addr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:356 export:INPUT save:INPUT read:READ} [current_design]
set_property PIO_DIRECTION OUTPUT [get_ports {DDR_Addr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:357 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD LVCMOS33 [get_ports PS_PORB]
set_property src_info {type:SCOPED_XDC file:1 line:359 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports PS_PORB]
set_property src_info {type:SCOPED_XDC file:1 line:360 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD LVCMOS33 [get_ports PS_SRSTB]
set_property src_info {type:SCOPED_XDC file:1 line:362 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports PS_SRSTB]
set_property src_info {type:SCOPED_XDC file:1 line:363 export:INPUT save:INPUT read:READ} [current_design]
set_property IOSTANDARD LVCMOS33 [get_ports PS_CLK]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN B10 [get_ports PS_SRSTB]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN P4 [get_ports DDR_RAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN C7 [get_ports PS_PORB]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN N5 [get_ports DDR_ODT]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN B15 [get_ports {MIO[45]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN F13 [get_ports {MIO[44]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN B4 [get_ports DDR_DRSTB]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN W5 [get_ports {DDR_DQS[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN M5 [get_ports DDR_WEB]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN G5 [get_ports DDR_VRN]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN H5 [get_ports DDR_VRP]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN N2 [get_ports {DDR_Addr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN K2 [get_ports {DDR_Addr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN M3 [get_ports {DDR_Addr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN K3 [get_ports {DDR_Addr[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN M4 [get_ports {DDR_Addr[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN L1 [get_ports {DDR_Addr[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN L4 [get_ports {DDR_Addr[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN K4 [get_ports {DDR_Addr[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN K1 [get_ports {DDR_Addr[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN J4 [get_ports {DDR_Addr[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN F5 [get_ports {DDR_Addr[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN G4 [get_ports {DDR_Addr[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN E4 [get_ports {DDR_Addr[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN F4 [get_ports {DDR_Addr[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN D4 [get_ports {DDR_Addr[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN L5 [get_ports {DDR_BankAddr[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN R4 [get_ports {DDR_BankAddr[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN J5 [get_ports {DDR_BankAddr[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN P5 [get_ports DDR_CAS_n]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN N3 [get_ports DDR_CKE]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN M2 [get_ports DDR_Clk_n]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN L2 [get_ports DDR_Clk]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN E7 [get_ports PS_CLK]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN N1 [get_ports DDR_CS_n]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN A1 [get_ports {DDR_DM[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN F1 [get_ports {DDR_DM[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN T1 [get_ports {DDR_DM[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN Y1 [get_ports {DDR_DM[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN C3 [get_ports {DDR_DQ[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN B3 [get_ports {DDR_DQ[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN A2 [get_ports {DDR_DQ[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN A4 [get_ports {DDR_DQ[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN D3 [get_ports {DDR_DQ[4]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN D1 [get_ports {DDR_DQ[5]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN C1 [get_ports {DDR_DQ[6]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN E1 [get_ports {DDR_DQ[7]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN E2 [get_ports {DDR_DQ[8]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN E3 [get_ports {DDR_DQ[9]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN G3 [get_ports {DDR_DQ[10]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN H3 [get_ports {DDR_DQ[11]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN J3 [get_ports {DDR_DQ[12]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN H2 [get_ports {DDR_DQ[13]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN H1 [get_ports {DDR_DQ[14]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN J1 [get_ports {DDR_DQ[15]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN P1 [get_ports {DDR_DQ[16]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN P3 [get_ports {DDR_DQ[17]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN R3 [get_ports {DDR_DQ[18]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN R1 [get_ports {DDR_DQ[19]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN T4 [get_ports {DDR_DQ[20]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN U4 [get_ports {DDR_DQ[21]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN U2 [get_ports {DDR_DQ[22]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN U3 [get_ports {DDR_DQ[23]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN V1 [get_ports {DDR_DQ[24]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN Y3 [get_ports {DDR_DQ[25]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN W1 [get_ports {DDR_DQ[26]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN Y4 [get_ports {DDR_DQ[27]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN Y2 [get_ports {DDR_DQ[28]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN W3 [get_ports {DDR_DQ[29]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN V2 [get_ports {DDR_DQ[30]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN V3 [get_ports {DDR_DQ[31]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN B2 [get_ports {DDR_DQS_n[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN F2 [get_ports {DDR_DQS_n[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN T2 [get_ports {DDR_DQS_n[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN W4 [get_ports {DDR_DQS_n[3]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN C2 [get_ports {DDR_DQS[0]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN G2 [get_ports {DDR_DQS[1]}]
set_property src_info {type:SCOPED_XDC file:1 line:364 export:INPUT save:INPUT read:READ} [current_design]
set_property PACKAGE_PIN R2 [get_ports {DDR_DQS[2]}]
set_property src_info {type:SCOPED_XDC file:1 line:365 export:INPUT save:INPUT read:READ} [current_design]
set_property SLEW FAST [get_ports PS_CLK]
set_property src_info {type:SCOPED_XDC file:1 line:366 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:SCOPED_XDC file:1 line:367 export:INPUT save:INPUT read:READ} [current_design]

